Skip to main content
PUT
Update transaction metadata

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string
required

The UUID of the business that the transaction to update the metadata for belongs to

transactionId
string
required

The UUID of the bank transaction to update metadata for

Body

application/json

Contains metadata associated with a transaction, including optional fields for additional context.

memo
string | null

Optional memo field for adding notes or additional information about the transaction.

Example:

"Example memo to associate with a transaction"

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the bank transaction. Can be used to filter when listing bank transactions.

Response

Contains metadata associated with a transaction, including optional fields for additional context.

memo
string | null

Optional memo field for adding notes or additional information about the transaction.

Example:

"Example memo to associate with a transaction"

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the bank transaction. Can be used to filter when listing bank transactions.